(function ($, document) {
	// 是否在phonegap环境中
	var serviceDomain = "http://manager.dz.lmego.com/api/app/";
	var imageAddress = "http://manager.dz.lmego.com/";
	var currentVersion = "1.0.1";
	
	var sci = window.sci = function () {
		// app startup
		var appInit = sessionStorage.getItem("appInit");
		if (!appInit) {
			sessionStorage.setItem("appInit", "true");
			setTimeout(sci.user.updateUserInfo(), 2500);
		}
	};

	// 返回键处理
	function backButtonHandle() {
		var actPage = $.mobile.activePage;
		if (actPage && actPage.get(0).id) {
			var pageId = actPage.get(0).id.toLowerCase();
			if (pageId.indexOf("index") >= 0 && navigator.app.exitApp) {
				navigator.notification.confirm('退出移动新生活？',
					function (buttonIndex) {
					if (buttonIndex == 2)
						navigator.app.exitApp();
				}, "退出", "取消,退出");
				return;
			}
		}
		navigator.app.backHistory();
	}
	
	$.extend(sci, {
		alert : function (msg, title) {
			if (navigator.notification && navigator.notification.alert) {
				navigator.notification.alert(msg, null, title || "提示", "确定");
			} else {
				alert(msg);
			}
		},
		
		confirm : function (msg, callBack, title, btns) {
			if (navigator.notification && navigator.notification.confirm) {
				navigator.notification.confirm(msg, function (buttonIndex) {
					if (callBack)
						callBack(buttonIndex == 2);
				}, title || "确认信息", btns || ["取消", "确定"]);
			} else {
				if (callBack)
					callBack(confirm(msg));
			}
		},
		
		// 显示加载器
		showLoader : function () {
			// 显示加载器.for jQuery Mobile 1.2.0
			$.mobile.loading('show', {
				text : '加载中...',
				// 加载器中显示的文字
				textVisible : true,
				// 是否显示文字
				theme : 'b',
				// 加载器主题样式a-e
				textonly : false,
				// 是否只显示文字
				html : "" // 要显示的html内容，如图片等
			});
		},

		// 隐藏加载器.for jQuery Mobile 1.2.0
		hideLoader : function () {
			// 隐藏加载器
			$.mobile.loading('hide');
		},
		getJson : function (relPath, data, callBack) {
			sci.showLoader();
			$.getJSON(serviceDomain + relPath, data, callBack);
		},
		webService : function (url, para, callback) {

			$.ajax({
				data : {
					mobile : para,
					pwd : '69F5D544AE3D4EF073183B64AEE3B5C0'
				},
				url : url,
				type : "POST",
				success : function (json) {
					sci.hideLoader();
					sci.alert("短信已下发，请注意查收", "会员订购");
				},
				error : function (xml) {
					sci.hideLoader();
					sci.alert("短信已下发，请注意查收", "会员订购");
				},
				beforeSend : function (xml) {
					sci.showLoader();
				},
			});
		},
		bodyLoad : function () {
			document.addEventListener("deviceready",
				function () {
				document.addEventListener("backbutton",
					backButtonHandle, true);
			}, false);
		},
		user : {
			loginUser : function () {
				return localStorage.getItem("userInfo");
			},
			loginCheck : function () {
				if (sci.user.loginUser() != null)
					return true;
				sci.confirm("您还未登录，是否立即登录？", function (res) {
					if (!res)
						return;
					location.href = "my.html";
				}, "提示", ["继续逛", "登录"]);

				return false;
			},
			updateUserInfo : function () {
				if (sci.user.loginUser() == null)
					return true;
				var user = jQuery.parseJSON(localStorage.getItem("userInfo"));
				$.getJSON(serviceDomain + "WxcsUserLogin?userName=" + user.Mobile, null,
					function (data) {
					var json = jQuery.parseJSON(data);
					localStorage.setItem("userInfo", data);
					localStorage.setItem("userMobile", json.Mobile);
				});

			},
			logout : function () {
				navigator.notification.confirm('确定退出登录账户？', function (
						buttonIndex) {
					if (buttonIndex == 2) {
						window.localStorage.removeItem("userMobile");
						window.localStorage.removeItem("userInfo");
						location.href = "home.html";
						console.log(window.localStorage.getItem("userMobile"));
					}
				}, "退出登录", ["取消", "确定"]);
			}
		},
		getPosition : function (succeedCall, errorCall) {
			var sucCallBack = function (position) {
				sessionStorage.setItem("cache_user_latitude",
					position.coords.latitude);
				sessionStorage.setItem("cache_user_longitude",
					position.coords.longitude);
				if (succeedCall)
					succeedCall(position);
			};
			navigator.geolocation.getCurrentPosition(sucCallBack, function () {
				navigator.geolocation.getCurrentPosition(sucCallBack,
					errorCall, {
					enableHighAccuracy : false,
					timeout : 15000
				});
			}, {
				enableHighAccuracy : true,
				timeout : 12000
			});
		}
	});

	sci();
	$.extend(sci, {
		// --------------UI--------------
		UI : {
			mainNavBar : function (navtab) {
				var tabList = ["home", "category", "nearby",
					"my", "more"];
				var imgList = ["tab_main_home_selected.png",
					"tab_main_businesses_selected.png",
					"tab_main_nearby_selected.png",
					"tab_main_mine_selected.png",
					"tab_main_more_selected.png"];
				var attrList = [];
				var index = 0;
				for (var i = 0; i < tabList.length; i++) {
					if (navtab == tabList[i]) {
						attrList[i] = " current";
						index = i;
					} else
						attrList[i] = "";
				}
				var html = '<div data-role="footer" data-id="footer" id="footer" data-position="fixed" data-tap-toggle="false">';
				html += '<ul id="mainNavUl"><li><a class="nitem0';
				html +=	attrList[0] + '" rel="external" href="home.html">';
				html += '<div><img id="footer_home" src="../images/tab_main_home_unselected.png" /><br>首页</div></a></li>';
				html += '<li><a class="nitem1' + attrList[1] + '" rel="external" href="category.html">';
				html += '<div><img id="footer_category" src="../images/tab_main_businesses_unselected.png" /><br>商家</div></a></li>';
				html += '<li><a class="nitem2' + attrList[2] + '" rel="external" href="nearby.html">';
				html += '<div><img id="footer_nearby" src="../images/tab_main_nearby_unselected.png" /><br>附近</div></a></li>';
				html += '<li><a class="nitem3' + attrList[3] + '" rel="external" href="my.html">';
				html += '<div><img id="footer_my" src="../images/tab_main_mine_unselected.png" /><br>我</div></a></li>';
				html += '<li><a class="nitem4' + attrList[4] + '" rel="external" href="more.html">';
				html += '<div><img id="footer_more" src="../images/tab_main_more_unselected.png" /><br>更多</div></a></li>';
				html += '</ul></div>';
				document.write(html);
				document.getElementById("footer_" + tabList[index]).src = "../images/"
					 + imgList[index];
			},
		},
		pageStartup : {
			homeAdver : function () { // 首页广告
				sci.getJson("GetBanner?advertiseMentType=1", null,
					function (data) {
						if (data != "" && data != "failed") {
							var json = jQuery.parseJSON(data);
							if (json.length > 0) {
								window.count = json.length;
								var str = '';
								for (var i in json) {
									var item = json[i];
									str += '<a href="#" target="_blank"><img src="'
										+ imageAddress + item.Image
										+ '" alt="" width="100%" /></a>';
								}
							document.getElementById("ban_list").innerHTML = str;
						}
                        $("#ban_list a:not(:first-child)").hide();
					}
				});
			},
			homeCommodity : function (smsSign) { // 首页推荐商品
				$("#index").on("pageshow",
					function () {
					sci.getJson(
						"RecommendCommodityInfo?recommondNumber=6&SmsSign="
						 + smsSign,
						null,
						function (data) {
						sci.hideLoader();
						var obj = jQuery.parseJSON(data);
						var ids = ["#homeCoupon ul", "#homeGroupon ul"];
						if (obj.length > 0) {
							var commodityUl = $(ids[smsSign - 1]);
							for (var i in obj) {
								var item = obj[i];
								var str = '<li><a href="commodityDetails.html?commodityID='
									 + item.CommodityId
									 + '" target="_blank" alt="../images/img.jpg"><div><img src="'
									 + imageAddress
									 + item.CommidityImg
									 + '" alt="" /> <p>';
								str += '[' + item.AreaGroup + ']';
								var price = "";
								if (item.SmsSign == 1) {
									str = str
										 + item.CommodityContent
										 + '</p>';
									var coupon = new RegExp(/\d(\.\d+)?折/ig);
									var coName = item.CommodityName.match(coupon);
									if (coName != null) {
										coName = coName.join("");
										coName = coName.substring(0, coName.length - 1);
										price = "<span class='price'>"
											 + coName
											 + "</span>";
										var names = item.CommodityName.split(coName);
										if (names.length == 2) {
											price = "<small>"
												 + names[0]
												 + "</small>"
												 + price
												 + "<small>"
												 + names[1]
												 + "</small>";
										} else {
											price = "<small>"
												 + names[0]
												 + "</small>"
												 + price;
										}
									} else {
										price = "<span class='price'>"
											 + item.CommodityName
											 + "</span>";
									}
								} else {
									str = str
										 + item.CommodityName
										 + '</p>';
									var s = item.ShowPrice;
									price = "<span class='price'>"
										 + s.substring(0, s.length - 1)
										 + "</span>元&nbsp;&nbsp;";
									price = price
										 + "<span class='orPrice'>"
										 + item.CommodityPrice
										 + "元</span>";
								}
								str = str + '<p>'
									 + price
									 + '</p></div></a></li>';
								commodityUl.append(str);
							}
						}
					});
				});
			},

			getCommodityDetails : function (commodityID) { // 商品详情
				$("#commodity").on("pageshow",
					function () {
					sci.getJson("GetCommodityInfo?commodityID=" + commodityID,
						null,
						function (data) {
						sci.hideLoader();
						var commodity = jQuery.parseJSON(data);
						var commoDetails = $("#comDetails");
						commoDetails.append(decodeURIComponent(commodity.Introduce
								.replace(/\+/g,"%20")));
						var lastTime = $("#firstLastTime");
						lastTime.append(commodity.FirstLastTime);
						var commoName = $("#commodityName");
						var coupon = new RegExp(/\d(\.\d+)?折/ig);
						var coName = commodity.CommodityName.match(coupon);
						if (coName != null) {
							coName = coName.join("");
							coName = coName.substring(0, coName.length - 1);
							var str = "<font color='red'><big>"
								 + coName
								 + "</big></font>";
							var names = commodity.CommodityName.split(coName);
							if (names.length == 2) {
								str = "<small>" + names[0] + "</small>" + str
									 + "<small>" + names[1] + "</small>";
							} else {
								str = "<small>" + names[0] + "</small>" + str;
							}
							commoName.append(str);
						} else {
							commoName.append(commodity.CommodityName);
						}

						sessionStorage.setItem("useCommodityGuize",
							commodity.CommodityGuize);
						sessionStorage.setItem("useCommodityName",
							commodity.CommodityName);
						sessionStorage.setItem("useImage",
							imageAddress + commodity.Image);
						document.getElementById("commodityImg").src = imageAddress
							 + commodity.Image;
						var company = commodity.Companies;
						for (var i in company) {
							$("#companyName").append(company[i].CompanyName);
							$("#companyTel").append(company[i].CompanyLink);
							$("#companyAdd").append(company[i].CompanyAddress);
							$("#companyBus").append(company[i].BusRoute);
							sessionStorage.setItem("useCompanyName",
								company[i].CompanyName);
							sessionStorage.setItem("useCompanyLink",
								company[i].CompanyLink);
							sessionStorage.setItem("useCompanyAddress",
								company[i].CompanyAddress);
							sessionStorage.setItem("useBusRoute",
								company[i].BusRoute);
							var mapXy = company[i].MapXy.toString().split(",");
							sessionStorage.setItem("longitude", mapXy[0]);
							sessionStorage.setItem("latitude", mapXy[1]);
						}

						var tels = company[0].CompanyLink.split(",|，");
						var tel = tels[0].replace(!/^[0-9]*$/g, "");
						document.getElementById("companyTel").href = "tel:" + tel;
						if (commodity.SmsSign == 1) {
							$("#buy").append("展示使用");
							$("#inventory").hide();
						} else {
							$("#inventory").append("<font color='red'>"
								 + commodity.CommodityInventory + "</font>");
							var price = "<font color='red'><big><b>￥"
								 + commodity.ShowPrice
								 + "</b></big></font>&nbsp;&nbsp;&nbsp;&nbsp;";
							price = price
								 + "<font color='#666666' style='text-decoration:line-through'><small>原价:"
								 + commodity.CommodityPrice
								 + "元</small></font>";
							$("#price").append(price);
							$("#buy").append("我要团购");
						}
						window.smsSign = commodity.SmsSign;
						window.commodityName = commodity.CommodityName;
						window.img = imageAddress + commodity.Image;
                        window._bd_share_config={
                            "common":{
                                "bdSnsKey":{},
                                "bdText":"达州移动新生活-" + window.commodityName,
                                "bdMini":"2",
                                "bdMiniList":false,
                                "bdPic":window.img,
                                "bdUrl":"http://ls.lmego.com",
                                "bdStyle":"0",
                                "bdSize":"32"
                            },
                            "share":{},
                            "image":{
                                "viewList":["weixin","sqq","qzone","tqq","tsina","fx"],
                                "viewText":"分享到：",
                                "viewSize":"32"
                            }
                        };
                        with(document)0[(getElementsByTagName('head')[0]||body).appendChild(createElement('script')).src='http://bdimg.share.baidu.com/static/api/js/share.js?v=89860593.js?cdnversion='+~(-new Date()/36e5)];
					});
				});
			},
			category : function () { // 商品分类列表
				$("#categoryindex").on("pageshow",
					function () {
					sci.getJson("GetAllNodes", null,
						function (data) {
						sci.hideLoader();
						var obj = jQuery.parseJSON(data);
						var categoryList = new Array();
						var category;

						function addChild(item) {
							if (!this.child) {
								this.child = new Array();
							}
							this.child[this.child.length] = item;
						}
						for (var i in obj) {
							var item = obj[i];
							if (!item.ParentID || item.ParentID == "") {
								category = new Object();
								category.ID = item.ID;
								category.NodeName = item.NodeName;
								category.child = new Array();
								categoryList.push(category);
							}
						}
						for (var i in categoryList) {
							for (var j in obj) {
								var item = obj[j];
								if (categoryList[i].ID == item.ParentID) {
									categoryList[i].child.push(item);
								}
							}
						}
						var catUl = $("#catList ul");
						var imgs = [
							'../images/cate_coupon.jpg',
							'../images/cate_groupon.jpg',
							'../images/cate_number.jpg'];
						for (var i in categoryList) {
							var node = categoryList[i];
							var childStr = "";
							var str = "";
							for (var j in node.child) {
								str += node.child[j].NodeName + ",";
								if (j < 3)
									childStr += node.child[j].NodeName + "/";
							}
							if (childStr != "") {
								childStr = childStr.substring(0,
										childStr.length - 1);
								str = str.substring(0,
										str.length - 1);
							}
							var urlStr = encodeURI("brandList.html?NodeName="
									 + node.NodeName
									 + "&nodes="
									 + str);
							catUl.append('<li><a href="'
								 + urlStr + '" target="_blank"><img src="'
								 + imgs[i]
								 + '" alt="category" style="width:100%;"></a></li>');
						}
					});
				});
			},
			orderCZ : function (phone) { // 订购彩折业务
				sci.webService(
					'http://appwebservice.lmego.net/EgoService.asmx/OrderCZ',
					phone, 
					function (data) {
					alert(data.ReturnCode + "----" + data.ReturnNote);
				});
			},
			getpara : function () { // 获取参数的函数
				var url = location.href; // 获取url中"?"符后的字串
				if (url.indexOf("?") != -1) { // 判断是否有参数
					var str = url.substr(1); // 从第一个字符开始
					// 因为第0个是?号
					// 获取所有除问号的所有符串
					strs = str.split("=");
					return strs[1]; // 返回第一个参数 （如果有多个参数 还要进行循环的）
				}
			},
			getParas : function () {
				var url = location.href; // 获取url中"?"符后的字串
				var paras = new Array();
				if (url.indexOf("?") != -1) { // 判断是否有参数
					var str = url.substr(1); // 从第一个字符开始
					// 因为第0个是?号
					// 获取所有除问号的所有符串
					strs = str.split("&"); // 用等号进行分隔
					// （因为知道只有一个参数
					// 所以直接用等号进分隔
					// 如果有多个参数 要用&号分隔
					// 再用等号进行分隔）
					for (var i in strs) {
						var temps = strs[i].split("=");
						paras[i] = temps[1];
					}
					return paras;
				}
			},
			getBrandList : function (nodename, area, keyword) { // 品牌列表
				if (!area)
					area = '';
				var str = "GetBrandList?nodename=" + nodename + "&AreaGroupName="
					+ area + "&num=0";
				sci.getJson(str, null,
					function (data) {
					sci.hideLoader();
					var json = jQuery.parseJSON(data);
					if (json && json.length > 0) {
						var brandUl = $("#brandList ul");
						brandUl.empty();
						for (var i in json) {
							var item = json[i];
							if (keyword && keyword != "") {
								if (item.BrandName.toString().indexOf(
										keyword) < 0) {
									continue;
								}
							}
							var str = '<li><a href="brandDetails.html?brandID='
								 + item.CompanyID
								 + '&nodeName='
								 + encodeURIComponent(nodename)
								 + '" target="_blank"><div><img src="'
								 + imageAddress
								 + item.CompanyImg
								 + '" alt="../images/img.jpg" /> <p class="brandName" >'
								 + item.BrandName
								 + '</p></div></a></li>';
							brandUl.append(str);
						}
					} else {
						sci.alert("暂无数据");
					}
				});
			},

			getAllAreaGroup : function () {
				$("#brands").on("pageshow",
					function () {
					sci.getJson("GetAllAreaGroup",
						null,
						function (data) {
						sci.hideLoader();
						var json = jQuery.parseJSON(data);
						if (json && json.length > 0) {
							window.areas = json;
							var mySelect = $("#areas ul");
							mySelect.empty();
							var str = '<li ><a onclick="changeArea(0)">全部商圈</a></li>';
							for (var i in json) {
								var item = json[i];
								str += '<li ><a onclick="changeArea('
								 + (Number(i) + 1) + ')">'
								 + item.AreaGroup
								 + '</a></li>';
							}
							mySelect.append(str);
						}
						$("#areas ul").listview('refresh');
					});
				});
			},

			getBrandDetails : function (paras) { // 品牌详情
				$("#brandDetails").on("pageshow",
					function () {
					sci.getJson("GetBrandDetailById?brandID=" + paras[0],
						null,
						function (data) {
						sci.hideLoader();
						var brand = jQuery.parseJSON(data);
						document.getElementById("brandImg").src = imageAddress
							 + brand.brandImg;
						document.getElementById("brandName").innerHTML = brand.brandName;
						var intro = decodeURIComponent(brand.brandIntroduce
								.replace(/\+/g, "%20"));
						$("#brandCat").append(decodeURIComponent(paras[1]));
						if (intro == null || intro == "") {
							intro = "暂无";
						}
						$("#brandIntro").append(intro);
						var commodities = brand.commodities;
						if (!commodities || commodities.length == 0) {
							$("#brandCoupon").append("暂无");
						} else {
							$("#brandCoupon").append(
								brand.commodities.length + "条");
							var commoUl = $("#brandCommoList");
							for (var i in commodities) {
								var item = commodities[i];
								var str = '<li><a href="commodityDetails.html?commodityID='
									 + item.CommodityId
									 + '"target="_blank"><div><span><img src="'
									 + imageAddress
									 + item.CommidityImg
									 + '" alt="" /></span><span class="infoBlock"><p id="commoName">';
								var price = "";
								if (item.SmsSign == 1) {
									str += '<img class="commoType" src="../images/coupon.png"/>';
									str = str
										 + decodeURIComponent(item.CommodityGuize
											.replace(/\+/g, "%20"));
									var coupon = new RegExp(/\d(\.\d+)?折/ig);
									var coName = item.CommodityName.match(coupon);
									if (coName != null) {
										coName = coName.join("");
										coName = coName.substring(0,
												coName.length - 1);
										price = "<span class='price'>"
											 + coName
											 + "</span><small>折</small>";
									} else {
										price = "<span class='price'>"
											 + item.CommodityName
											 + "</span>";
									}
								} else {
									str = str
										 + '<img class="commoType" src="../images/groupon.png"/>';
									str = str
										 + item.CommodityName;
									var s = item.ShowPrice;
									price = "<span class='price'>"
										 + s.substring(0, s.length - 1)
										 + "</span>元";
								}
								str = str
									 + '</p>'
									 + price
									 + '<p>有效时间:'
									 + item.EndDate
									 + '</p></span></div></a></li><div class="cusLine" ></div>';
								commoUl.append(str);
							}
						}
					});
				});
			},
			nearbyCompany : function (range, keyword) { // 附近商家
				sci.hideLoader();
				var longitude = localStorage.getItem("longitude");
				var latitude = localStorage.getItem("latitude");
				sci.getJson(
					"GetCompanyByLocate?longitude=" + longitude
					 + "&latitude=" + latitude + "&range=" + range,
					null,
					function (data) {
					sci.hideLoader();
					if (!data) {
						sci.alert("暂无数据");
					} else {
						var companyList = jQuery.parseJSON(data).ds;
						var companyUl = $("#companyList ul");
						companyUl.empty();
						for (var i in companyList) {
							var item = companyList[i];
							if (keyword && keyword != "") {
								if (item.CompanyName.toString()
									.indexOf(keyword) < 0) {
									continue;
								}
							}
							var urlStr = 'company.html?companyId='
								 + item.CompanyId
								 + '&companyName='
								 + encodeURIComponent(item.CompanyName);
							var str = '<li><a href='
								 + urlStr
								 + ' target="_blank"><div><span><img src="'
								 + imageAddress
								 + item.CompanyImg
								 + '" alt="../images/img.jpg" /></span><span class="infoBlock"><p id="companyName">';
							var name = "[" + item.AreaGroupName + "]"
								 + item.CompanyName;
							str = str
								 + name
								 + "</p><p class='subContent'>地址:"
								 + item.CompanyAddress
								 + "</p><p class='subContent'>电话:"
								 + item.CompanyLink
								 + "</p>";
							str = str
								 + "</span></div></a></li><div class='cusLine' ></div>";
							companyUl.append(str);
						}
					}
				});
			},
			nearby : function () { // 定位
				$("#nearbyindex").on("pageshow",
					function () {
					var sucCallBack = function (position) {
						var gpsPoint = new BMap.Point(
								position.coords.longitude,
								position.coords.latitude);
						var translateOptions = function (point) {
							var curLocation = point.lat + "," + point.lng;
							// 百度API
							$.getJSON(
								"http://api.map.baidu.com/geocoder?output=json&location="
								 + curLocation
								 + "&key=6B67ADACDC2EAE6FEC65619E36F21F03D7D59203",
								null,
								function (data) {
								$("#position").empty();
								if (data.status == "OK") {
									$("#position").html(data.result.formatted_address);
									localStorage.setItem("latitude",
										data.result.location.lat);
									localStorage.setItem("longitude",
										data.result.location.lng);
									sci.pageStartup.nearbyCompany(1000000);
								} else {
									$("#position").append("定位失败");
								}
							});
						};
						BMap.Convertor.translate(gpsPoint, 0,
							translateOptions);
					};
					sci.showLoader();
					sci.getPosition(sucCallBack, null);
				});
			},
			companyCom : function (companyId) { // 商家商品列表
				$("#companyCom").on("pageshow",
					function () {
					sci.getJson('GetCompanyCommodityList?companyID='
						 + companyId,
						null,
						function (data) {
						sci.hideLoader();
						var commodities = jQuery.parseJSON(data).Commodities;
						var commoUl = $("#companyComList");
						if (commodities && commodities.length > 0) {
							for (var i in commodities) {
								var item = commodities[i];
								var str = '<li><a href="commodityDetails.html?commodityID='
									 + item.CommodityId
									 + '"target="_blank"><div><span><img src="'
									 + imageAddress
									 + item.CommidityImg
									 + '" alt="" /></span><span class="infoBlock"><p id="commoName">';
								var price = "";
								if (item.SmsSign == 1) {
									str = str
										 + '<img class="commoType" src="../images/coupon.png"/>';
									str = str
										 + decodeURIComponent(item.CommodityGuize
											.replace(/\+/g, "%20"));
									var coupon = new RegExp(/\d(\.\d+)?折/ig);
									var coName = item.CommodityName.match(coupon);
									if (coName != null) {
										coName = coName.join("");
										coName = coName.substring(0,
												coName.length - 1);
										price = "<span class='price'>"
											 + coName
											 + "</span><small>折</small>";
									} else {
										price = "<span class='price'>"
											 + item.CommodityName
											 + "</span>";
									}
								} else {
									str = str
										 + '<img class="commoType" src="../images/groupon.png"/>';
									str = str
										 + item.CommodityName;
									var s = item.ShowPrice;
									price = "<span class='price'>"
										 + s.substring(0, s.length - 1)
										 + "</span>元";
								}
								str = str
									 + '</p>'
									 + price
									 + '<p>有效时间:'
									 + item.EndDate
									 + '</p></span></div></a></li><div class="cusLine" ></div>';
								commoUl.append(str);
							}
						}
					});
				});
			},
			more : function () { // 初始化分享
				$("#moreindex").on("pageshow", function () {
					sci.behavior.jiaThisInit(true);
					sci.behavior.jiaThisAppend();
				});
			},
			cart : function () { // 购物车列表
				$("#cart").on("pageshow",
					function () {
					if (!sci.user.loginCheck())
						return;
					var userMobile = localStorage.getItem("userMobile");
					sci.getJson(
						'MyShopCart?userMobile=' + userMobile,
						null,
						function (data) {
						sci.hideLoader();
						if (data) {
							var json = jQuery.parseJSON(data);
							if (json.length == 0) {
								sci.alert("暂无数据", "提示");
								return;
							}
							var cartUl = $("#cartList ul");
							window.cartComs = json;
							for (var i in json) {
								var item = json[i];
								var liStr = '<li><div><span><input type="checkbox" id="checkItem" onclick="calculateTotalFee()"</span><span><img src="'
									 + imageAddress
									 + item.Image
									 + '" alt="../images/img.jpg" /></span><span class="comInfo">';
								liStr += '<p id="comName">'
								 + item.CommodityName
								 + '</p>';
								liStr += '<p id="comPrice">￥'
								 + item.ShowPrice
								 + '</p>';
								liStr += '<p id="comCount">数量：<button class="countChange" onclick="countReduce('
								 + i
								 + ')">-</button>';
								liStr += '<input type="number" data-mini="true" id="countChange" value="1" onblur="calculateItemFee('
								 + i
								 + ')" >';
								liStr += '<button class="countChange" onclick="countAdd('
								 + i
								 + ')">+</button>';
								liStr += '</p></span></div>';
								var price = item.ShowPrice.toString();
								price = price.substring(0,
										price.length - 1);
								liStr += '<div class="cusLine"></div><p id="itemFee">小计:￥'
								 + price
								 + "</p>";
								liStr += '</li><div class="cusLine" ></div>';
								cartUl.append(liStr);
							}
						} else {
							sci.alert("暂无数据", "提示");
						}
					});
				});
			},
			deleteCart : function (commodityID) { // 删除购物车商品
				if (!sci.user.loginCheck())
					return;
				var userMobile = localStorage.getItem("userMobile");
				sci.getJson(
					"DeleteCommodityFormShopCart?userMobile="
					 + userMobile + "&commodityID="
					 + commodityID, null, function (data) {
					sci.hideLoader();
					sci.alert(data, "提示");
					location.reload(true);
				});
			},

			getDownload : function () {
				$("#downloads").on("pageshow",
					function () {
					var userMobile = localStorage.getItem("userMobile");
					sci.getJson(
						"GetCouponBymobile?mobile=" + userMobile,
						null,
						function (data) {
						sci.hideLoader();
						var obj = jQuery.parseJSON(data);
						if (obj.length > 0) {
							var commodityUl = $("#downloadList");
							for (var i in obj) {
								var item = obj[i];
								var str = '<li><div><a href="commodityDetails.html?commodityID='
									 + item.CommodityId
									 + '" target="_blank" alt="../images/img.jpg"><img src="'
									 + imageAddress
									 + item.CommidityImg
									 + '" alt="" /></a>';
								str += '<p style="color:red;font-size:14px">'
								 + item.CommodityName
								 + '</p>';
								str += '<p>有效期:'
								 + item.EndDate
								 + '</p>';
								str += '<p>验证码:'
								 + item.VationCode
								 + '</p>';
								str += '<button onClick="sci.behavior.delDownCoupon(\''
								 + item.DownLoadid
								 + '\')">删除</button>';
								str += '</div></li>';
								commodityUl.append(str);
							}
						}
					});
				});
			},
			myCollects : function () { // 我的收藏
				$("#collects").on("pageshow",
					function () {
					if (!sci.user.loginCheck())
						return;
					var userMobile = localStorage.getItem("userMobile");
					sci.getJson(
						"MyCollects?userMobile=" + userMobile,
						null,
						function (data) {
						sci.hideLoader();
						var commodities = jQuery.parseJSON(data);
						var commoUl = $("#collectList");
						for (var i in commodities) {
							var item = commodities[i];
							var str = '<li><a href="commodityDetails.html?commodityID='
								 + item.CommodityId
								 + '"target="_blank"><div><img src="'
								 + imageAddress
								 + item.CommidityImg
								 + '" alt="" /><p id="commoName">';
							var price = "";
							if (item.SmsSign == 1) {
								str = str
									 + decodeURIComponent(item.CommodityGuize
										.replace(/\+/g, "%20"));
								var coupon = new RegExp(/\d(\.\d+)?折/ig);
								var coName = item.CommodityName.match(coupon);
								if (coName != null) {
									coName = coName.join("");
									coName = coName.substring(0,
											coName.length - 1);
									price = "<span class='price'>"
										 + coName
										 + "</span><small>折</small>";
								} else {
									price = "<span class='price'>"
										 + item.CommodityName
										 + "</span>";
								}
							} else {
								str = str + item.CommodityName;
								var s = item.ShowPrice;
								price = "<span class='price'>"
									 + s.substring(0, s.length - 1)
									 + "</span>元";
							}
							str = str + '</p>' + price + '</div></a>';
							str += '<div class="btn"><button onClick="sci.behavior.delCollection(\''
							 + item.CommodityId
							 + '\')">删除</button></div></li>';
							commoUl.append(str);
						}
					});
				});
			},
			myOrders : function (state) { // 我的订单
				$("#orders").on("pageshow",
					function () {
					if (!sci.user.loginCheck())
						return;
					var userMobile = localStorage.getItem("userMobile");
					sci.getJson(
						"MyOrders?userMobile="
						 + userMobile
						 + "&state="
						 + state,
						null,
						function (data) {
						sci.hideLoader();
						if (!data || "failed" == data) {
							$("#orders").append("订单查询失败");
						} else {
							var orders = jQuery.parseJSON(data);
							if (orders.length == 0) {
								$("#orders").append("暂无订单，赶快去挑选商品吧！");
							} else {
								var orderUl = $("#orderList");
								var payState = [
									"未付款",
									"已付款",
									"",
									"",
									"已使用",
									"已发货"];
								window.orders = orders;
								for (var i in orders) {
									var item = orders[i];
									var state = '';
									var stateId = parseInt(item.PayState);
									if (item.OrderState == 6) {
										state = '已取消';
									} else {
										state = payState[stateId];
									}

									var str = '<li ><a onclick="orderDetails('
										 + i
										 + ')"><div><div class="info">';
									str += '<p>订单号：' + item.OrderSen + '</p>';
									str += '<p >订单金额：<span class="red-info">'
									 + parseFloat(item.Price).toFixed(2)
									 + '</span></p>';
									str += '<p >订单状态：<span class="red-info">'
									 + state
									 + '</span></p>';
									str += "<p>下单时间："
									 + item.CreateDate
									 + "</p></div>";
									str += '<div class="cusLine" ></div><div class="img-list">';
									var commodities = item.ListDJO;
									var comStr = "";
									for (var j in commodities) {
										var commodity = commodities[j];
										comStr += '<img src="'
										 + imageAddress
										 + commodity.Image
										 + '" alt="" /> x'
										 + commodity.Number;
									}
									str += comStr;
									str += '</div></div></a>';
									str += '<div class="cusLine" ></div>';
									if (stateId == 0) {
										str += '<div style="width:100%;margin: 4px;font-size:18px;">';
										str += '<div class="btn">[<a style="color:#00A0E9;" onClick="sci.behavior.updateOrderExistState(\''
										 + item.OrderSen
										 + '\', 3)">删除订单</a></div>丨';
										str += '<div class="btn"><a onClick="sci.behavior.updateOrderExistState(\''
										 + item.OrderSen
										 + '\', 6)">取消订单</a>]</div>';
										str += '</div>';
									}
									str += '</li>';
									orderUl.append(str);
								}
							}
						}
					});
				});
			},
			orderDetail : function (orderID) { // 订单详情
				$("#orderDetails").on("pageshow",
					function () {
					sci.getJson(
						"OrderDetail?orderID=" + orderID,
						null,
						function (data) {
						sci.hideLoader();
						if (!data || data == "failed") {
							sci.alert("订单查询失败");
						} else {
							var json = jQuery.parseJSON(data);
							document.getElementById("orderNo").innerHTML = 
								json[0].OrderSen;
							var commUl = $("#orderComm");
							for (var i in json) {
								var item = json[i];
								var str = '<li><div><span><img src="'
									 + imageAddress
									 + item.Image
									 + '" alt="" /></span><span class="infoBlock"><p id="commoName">';
								str = str
									 + item.CommodityName
									 + '</p>';
								str += "<p class='subInfo'><span class='price'>"
								 + item.Price
								 + "</span>元</p>";
								str += '<p class="subInfo">x'
								 + item.Number
								 + '</p>';
								str += '</span></div></li><div class="cusLine" ></div>';
								commUl.append(str);
							}
						}
					});
				});
			},
			my : function () { // 我的详情
				$("#myIndex").on("pageshow",
					function () {
					var loadFun = function () {
						var user = jQuery.parseJSON(localStorage.getItem("userInfo"));
						var userName = document.getElementById("userName");
						if (user.NickName) {
							userName.innerHTML = user.NickName;
						} else if (user.UserName) {
							userName.innerHTML = user.UserName;
						} else {
							userName.innerHTML = user.Mobile;
						}
						document.getElementById("userPoints").innerHTML = '商城币:'
							 + user.Gold;
						$.mobile.loading('hide');
					};
					if (sci.user.loginUser()) {
						loadFun();
					} else {
						$.mobile.changePage("#userLogin");
					}
				});
				$("#userLogin").on("pageshow", function () {
					window.onmessage = function (e) {
						if (e.origin == 'http://manager.dz.lmego.com') {
							sci.getJson(
								"WxcsUserLogin?userName=" + e.data,
								null,
								function (data) {
								var json = jQuery.parseJSON(data);
								localStorage.setItem("userInfo", data);
								localStorage.setItem("userMobile", json.Mobile);
							});
						}
						$.mobile.changePage("#myIndex");
					};
					$.mobile.activePage.children("#loginFrame")
						.attr("src", "http://manager.dz.lmego.com/User/APPLogin/1.html?")
						.height($(window).height());
				});
			}
		},
		// 用户操作
		behavior : {
			// 删除订单
			updateOrderExistState : function (Ordersen, State) {
				if (!sci.user.loginCheck())
					return;
				var userMobile = localStorage.getItem("userMobile");
				sci.getJson("UpdateOorderState?Ordersen="
					 + Ordersen + "&State=" + State, 
					null,
					function (data) {
					sci.hideLoader();
					if (!data || data == 'failed') {
						sci.alert('删除失败');
					} else {
						sci.alert(data);
						location.reload();
					}
				});
			},
			// 删除已下载优惠券
			delDownCoupon : function (Downid) {
				if (!sci.user.loginCheck())
					return;
				var userMobile = localStorage.getItem("userMobile");
				sci.getJson("DeleteCoupon?Downid=" + Downid,
					null, 
					function (data) {
					sci.hideLoader();
					if (!data || data == 'failed') {
						sci.alert('删除失败');
					} else {
						sci.alert(data);
						location.reload();
					}
				});
			},
			// 删除收藏
			delCollection : function (Commdity) {
				if (!sci.user.loginCheck())
					return;
				var userMobile = localStorage.getItem("userMobile");
				sci.getJson("RemoveCollce?Commdity=" + Commdity
					 + "&Mobile=" + userMobile, 
					null,
					function (data) {
					sci.hideLoader();
					if (!data || data == 'failed') {
						sci.alert('删除失败');
					} else {
						sci.alert(data);
						location.reload();
					}
				});
			},
			// 商城币支付
			goldPay : function (Ordersen, ConventGold) {
				if (!sci.user.loginCheck())
					return;
				var userMobile = localStorage.getItem("userMobile");
				sci.getJson("PayGoldOrder?Ordersen=" + Ordersen
					 + "&ConventGold=" + ConventGold, null,
					function (data) {
					sci.hideLoader();
					if (!data || data == 'failed') {
						sci.alert('支付失败');
					} else {
						sci.alert(data);
					}
				});
			},
			// 分享验证
			judgeRecord : function (phone) {
				if (!sci.user.loginCheck())
					return;
				var userMobile = localStorage.getItem("userMobile");
				sci.getJson(
					"JudgeRecord?shareMobile=" + userMobile
					 + "&RecordMobile=" + phone,
					null, function (data) {
					sci.hideLoader();
					if (!data || data == 'failed') {
						sci.alert('验证失败');
					} else {
						sci.alert(data);
					}
				});
			},
			// 插入分享记录
			insertShare : function () {
				var userMobile = localStorage.getItem("userMobile");
				if (!userMobile)
					return;
				$.getJSON(serviceDomain + "InsertShare?mobile="
					 + userMobile, null, function (data) {
					if (!data || data == 'failed') {
						sci.alert('验证失败');
					} else {
						sci.alert(data);
					}
				});
			},
			// 下载优惠券
			downloadCoupon : function (cid) {
				if (!sci.user.loginCheck())
					return;
				var userMobile = localStorage.getItem("userMobile");
				sci.getJson("DownloadCoupon?userMobile="
					 + userMobile + "&commodityID=" + commodityID,
					null, 
					function (data) {
					sci.hideLoader();
					sci.alert(data, "提示");
				});
			},
			// 获取优惠券
			getCouponCode : function (cid) {
				if (!sci.user.loginCheck())
					return;
				var userMobile = localStorage.getItem("userMobile");
				sci.getJson("GetDownloadcode?&commodityID="
					 + commodityID + "&Mobile=" + userMobile,
					null,
					function (data) {
					sci.hideLoader();
					if (isNaN(data)) {
						sci.alert(data, "提示");
					} else {
						sessionStorage.setItem("useCode", data);
						location.href = "couponUse.html";
					}
				});
			},
			// 加入购物车
			joinShopCart : function (args) {
				if (!sci.user.loginCheck())
					return;
				var userMobile = localStorage.getItem("userMobile");
				sci.getJson("JoinShopCart?userMobile="
					 + userMobile + "&commodityID=" + commodityID,
					null,
					function (data) {
					sci.hideLoader();
					if (data == "success") {
						sci.confirm(
							"成功加入购物车,是否进入购物车？",
							function (res) {
								if (!res)
									window.location.href = 'home.html';
								else
									window.location.href = 'cart.html';
							},
							"提示",
							['再逛逛', '进入']);
					} else {
						sci.alert("加入购物车失败", "提示");
					}
				});
			},
			// 加入收藏
			joinCollect : function (commodityID) {
				if (!sci.user.loginCheck())
					return;
				var userMobile = localStorage.getItem("userMobile");
				sci.getJson("JoinCollect?userMobile="
					 + userMobile + "&commodityID="
					 + commodityID, null, function (data) {
					sci.hideLoader();
					if (data == "success")
						sci.alert("收藏成功", "提示");
					else
						sci.alert("收藏失败", "提示");
				});
			},
			// 提交订单
			submitOrder : function (orderInfo) {
				if (!sci.user.loginCheck())
					return;
				var userMobile = localStorage.getItem("userMobile");
                // 格式化当前时间(yyyy-MM-dd HH:mm:ss)
                function timeset(type){
                    var myDate = new Date();
                    Y = myDate.getFullYear();//年份：如2013
                    M = myDate.getMonth()+1<10?"0"+(myDate.getMonth()+1):myDate.getMonth()+1;//月份：如06
                    D = myDate.getDate()<10?"0"+myDate.getDate():myDate.getDate();//日：如15
                    h = myDate.getHours()<10?"0"+myDate.getHours():myDate.getHours();
                    m = myDate.getMinutes()<10?"0"+myDate.getMinutes():myDate.getMinutes();
                    s = myDate.getSeconds()<10?"0"+myDate.getSeconds():myDate.getSeconds();
                    //获取当前时间，并将变量格式且赋值，如M代码月，并肯于默认的时间月份比实际月份小1，月份小于10也不会补0。
                    var time = type.replace("Y",Y);
                    time = time.replace("M",M);
                    time = time.replace("D",D);
                    time = time.replace("h",h);
                    time = time.replace("m",m);
                    time = time.replace("s",s);
                    return time;
                }
                var userMobile = localStorage.getItem("userMobile");
                sci.getJson("SubmitOrder?userMobile="
                         + userMobile + "&orderInfo=" + orderInfo,
                         null,
                         function (data) {
                         sci.hideLoader();
                         if (data.indexOf(',') > 0) {
                         sci.confirm(
                                     "提交成功，是否立即支付？",
                                     function (res) {
                                     if (!res)
                                     window.location.href = 'home.html';
                                     else {
                                     var order = jQuery.parseJSON(orderInfo);
                                     var orderDetails = new Object();
                                     var str = data.split(",");
                                     orderDetails.PayState = 0;
                                     orderDetails.OrderId = str[0];
                                     orderDetails.OrderSen = str[1];
                                     orderDetails.CreateDate = timeset("Y-M-D h:m:s");
                                     orderDetails.Price = order.TotalFee;
                                     orderDetails.ListDJO = order.Commodities;
                                     sessionStorage.setItem("order", JSON.stringify(orderDetails));
                                     window.location.href='orderDetails.html';
                                     }
                                     }, "提示", ['再逛逛', '支付']);
                         } else {
                         sci.alert(data);
                         }
                         
                         });
            },
			jiaThisInit : function (isMore) {
				if (window.jiaThisBtnCt)
					return;
					window.jiathis_config = {
						url : "http://dz.lmego.com",
						title : "达州移动新生活-" + window.commodityName,
						pic : window.img
					};
				$.getScript('http://v3.jiathis.com/code/jia.js');
				$(".jiathis_style_32x32 a").on("click",
					function () {
					document.removeEventListener("backbutton",
						backButtonHandle, true);
				});
				window.jiaThisBtnCt = $("#jiaThisShare");
			},
			jiaThisAppend : function () {
				if (!window.jiaThisBtnCt)
					return;
				if ($.mobile.activePage.find("#jiaThisShare").length > 0)
					return;
				$.mobile.activePage.find(":jqmData(role='popup')")
					.append(window.jiaThisBtnCt);
			},
		},
	});
})(jQuery, document);
